Bug 56985 - crash02 test program from ltp.sourceforge.net always crash kernel-2.4.9 [12,13]
crash02 test program from ltp.sourceforge.net always crash kernel-2.4.9 [12,13]
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-01 22:19 EST by Aleksandar Stojadinovic
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crash02 test from ltp-20011107.tgz suite (43.95 KB, application/octet-stream)
2001-12-01 22:21 EST, Aleksandar Stojadinovic
no flags Details

  None (edit)
Description Aleksandar Stojadinovic 2001-12-01 22:19:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Q312461)

Description of problem:
crash02 is able to reboot/crash/panic all Redhat 7.2 installations with 
kernel from kernel-xx-2.4.9-xx-rpm package run as nobody or any other non 
root user.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.get package from http://ltp.sourceforge.net/, make
2. su nobody ( or anyone non root )
3. start crash02 test in testcases/misc/crash/
4. run ~10 times, sometimes pres Ctrl-C upon execution, sometimes not.

Actual Results:  Kernel panic or system reboot.

Expected Results:  Kernel is unable to handle ...
or
Aiee ...

Additional info:

Hardware is different on 3 test machines. (MB, LAN, video, memory,
DE/SCSI  - diff. vendors, diff. types...).
RH installation (7.2, 7.1) is clean or with all security updates from RH 
site - same result.
Only way to survive the crash02 test is to stay on 2.4.3 kernel
Comment 1 Aleksandar Stojadinovic 2001-12-01 22:21:25 EST
Created attachment 39306 [details]
crash02 test from ltp-20011107.tgz suite
Comment 2 Bugzilla owner 2004-09-30 11:39:18 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.